﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTourismCompany.Entities.Enums;

public class Client
{
    public int Id { get; private set; }
    [DisplayName("Имя")]
    public string Name { get; private set; } = string.Empty;

    public string Description => $"{Name} {Status}";
    [DisplayName("Дата рождения")]
    public DateTime BirthDate { get; private set; }
    [DisplayName("Льготы")]
    public ClientStatus Status { get; private set; }
    [DisplayName("Телефон")]
    public string Phone {  get; private set; }= string.Empty;
    public static Client CreateClient(int id, string name, DateTime birth, ClientStatus status, string phone)
    {
        return new Client()
        {
            Id = id,
            Name = name,
            BirthDate = birth,
            Status = status,
            Phone = phone
        };
        
    }
}
