using ProjectTourismCompany.Forms;
using System.ComponentModel;
using Unity;

namespace ProjectTourismCompany;

public partial class FormTourismCompany : Form
{
    private readonly IUnityContainer _container;
    public FormTourismCompany(IUnityContainer container)
    {
        InitializeComponent();
        _container = container ?? throw new ArgumentNullException(nameof(container));
    }


    private void TripsToolStripMenuItem_Click(object sender,
    EventArgs e)
    {
        try
        {
            _container.Resolve<FormTrips>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }


    private void CompaniesToolStripMenuItem_Click(object sender,
        EventArgs e)
    {
        try
        {
            _container.Resolve<FormCompanies>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ChecksToolStripMenuItem_Click(object sender,
        EventArgs e)
    {
        try
        {
            _container.Resolve<FormChecks>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void CountriesToolStripMenuItem_Click(object sender,
        EventArgs e)
    {
        try
        {
            _container.Resolve<FormCountries>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ClientsToolStripMenuItem_Click(object sender,
        EventArgs e)
    {
        try
        {
            _container.Resolve<FormClients>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

    }

    private void ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormDirectoryReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormHumanReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<CityReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "  ",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
}
